Get Storage Policies

Get Storage Policies

Api to get all the storage policies from vCenter

Request
URI
GET
https://{api_host}/telco/api//inventory/vc/storage-policies
COPY
Query Parameters
string
tcaCpId
Required

Endpoint id of the TCA-CP which is backed by the concerned vCenter


Authentication
This operation uses the following authentication methods.
Responses
200

Storage policies were sent successfully.

Returns storagePolicyResponse of type(s) application/json
{
    "items": [
        {
            "profileId": {
                "uniqueId": "string"
            },
            "profileCategory": "string",
            "resourceType": {
                "resourceType": "string"
            },
            "name": "string",
            "description": "string",
            "creationTime": "string",
            "createdBy": "string",
            "lastUpdatedTime": "string",
            "lastUpdatedBy": "string",
            "isDefault": false
        }
    ]
}
array of object
items
Optional

items


400
Returns BadRequest of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of error
errors
Optional

errors


500
Returns InternalServerError of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of error
errors
Optional

errors